### Function

# Gimp main

since: 3.0

#### Declaration [src]

    gint
    gimp_main (
      GType plug_in_type,
      gint argc,
      gchar** argv
    )

#### Description [src]

The main plug-in function that must be called with the plug-in’s `GimpPlugIn` subclass `GType` and the ‘argc’ and ‘argv’ that are passed to the platform’s `main()`.

For instance, in Python, you will want to end your plug-in with this call:

    Gimp.main(MyPlugIn.__gtype__, sys.argv)

For C plug-ins, use instead the `GIMP_MAIN()` macro.

Available since: 3.0

#### Parameters

`plug_in_type`

  Type: `GType`

  The type of the `GimpPlugIn` subclass of the plug-in.

`argc`

  Type: `gint`

  The number of arguments.

`argv`

  Type: An array of `gchar*`

  The arguments.

  The length of the array is specified in the `argc` argument.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: `gint`

An exit status as defined by the C library, on success `EXIT_SUCCESS`.